using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Entities.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.PC
{
    /// <summary>
    /// 绑定区域
    /// </summary>
    [Description("绑定区域")]
    public class T_PC_INFO_COLOR_AREA : MesEntityBase
    {
        /// <summary>
        /// 四色图配置信息
        /// </summary>
        [Description("四色图配置信息")]
        public Guid INFO_ID { get; set; }

        /// <summary>
        /// 四色图配置信息
        /// </summary>
        [Description("四色图色块信息")]
        [DataFieldForeignKey("Nav_InfoColor", "Nav_Areas")]
        public Guid COLOR_ID { get; set; }

        /// <summary>
        /// 四色图配置信息
        /// </summary>
        [Description("四色图配置信息")]
        public T_PC_INFO_COLOR Nav_InfoColor { get; set; }

        /// <summary>
        /// 区域ID
        /// </summary>
        [Description("区域ID")]
        [DataFieldForeignKey("Nav_Area")]
        [FormFieldEdit]
        public Guid AREA_ID { get; set; }

        /// <summary>
        /// 区域绑定
        /// </summary>
        [Description("区域绑定")]
        public virtual T_SK_RISK_AREA Nav_Area { get; set; }
    }
}
